Subject: Re: bug#53144: [PATCH 0/13] Make more git-using packages auto-updatable

From: Ludovic Courtès <[email-masked]>
Date: Tue, 18 Jan 2022 18:45:03 +0100

Maxime Devos <[email-masked]> skribis:

> * Makefile.am (MODULES, SCM_TESTS): Register new files.
> * doc/guix.texi (Invoking guix refresh): Document it.
> * guix/import/latest-git.scm: New importer file.
> * guix/upstream.scm (increment-git-version): New procedure.
> * tests/import-latest-git.scm: New test file.

[...]

> +@item latest-git
> +@cindex latest-git
> +@cindex with-latest-git-commit
> +another updater for packages hosted on Git repositories.  The difference
> +with @code{generic-git} is that it always choses the latest commit, even

“chooses”

> +when it does not have a version tag.  As this practice should remain
> +exceptional (@pxref{Version Numbers}), packages have to opt-in this
> +updater, by using @code{git-version} to construct the version number and
> +setting the @code{with-latest-git-commit} package property.

Instead of a new updater, should it be handled by ‘generic-git’?  It
could honor the property just as well, no?

Now in terms of code it does look nice to have it separate.  WDYT?

I’d call the property ‘release-from-git-reference’ or something, to
avoid confusion with the ‘--with-commit’ transformation option.

Thanks,
Ludo’.